#include "StdAfx.h"
#include <stdio.h>

#include "ClientTest.h"

CClientTest::CClientTest(void)
{
	m_server.CreateInstance(__uuidof(HehServer));
}

void CClientTest::TestEvent(void)
{
	HRESULT hr = S_OK;

	m_server->AddEvent(this);
    printf("TestEvent - called\n");

    // m_server->TriggerEventOnThisThread();
    system("pause");
}

HRESULT CClientTest::QueryInterface(const IID & iid, void ** pp)
{
	if (iid == __uuidof(IHehServerEvents) ||
		iid == __uuidof(IUnknown))
	{
		*pp = this;
		AddRef();
		return S_OK;
	}
	return E_NOINTERFACE;
}

HRESULT CClientTest::FireEvent(void)
{
    printf("FireEvent - called\n");
	return S_OK;
}